summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vijay Marcel <vijaymarcel@outlook.com>2023-05-26 20:24:35 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-05-27 08:08:52 +0700
commit91b34378e6c05f5ae004e69984d427ad92b4963c (patch)
tree750d6d65175ab77124b2b50863590073907e9a17
parentfdc3ed9e626d387d881aee7e7f8fb20b76701495 (diff)
downloadslackbuilds-91b34378e6c05f5ae004e69984d427ad92b4963c.tar.gz
slackbuilds-91b34378e6c05f5ae004e69984d427ad92b4963c.tar.xz
office/glow: Added (CLI Markdown Reader)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/glow/README3
-rw-r--r--office/glow/changelog6
-rw-r--r--office/glow/glow.SlackBuild114
-rw-r--r--office/glow/glow.info10
-rw-r--r--office/glow/slack-desc19
5 files changed, 152 insertions, 0 deletions
diff --git a/office/glow/README b/office/glow/README
new file mode 100644
index 0000000000..0e62e09007
--- /dev/null
+++ b/office/glow/README
@@ -0,0 +1,3 @@
+Glow is a terminal based markdown reader designed from
+ground up to bring out the beauty and power of CLI.Glow
+will markdown files from subdirectories or local git repo.
diff --git a/office/glow/changelog b/office/glow/changelog
new file mode 100644
index 0000000000..f23f855be5
--- /dev/null
+++ b/office/glow/changelog
@@ -0,0 +1,6 @@
+Changelog for glow SlackBuild Script
+--------------------------------------------------------------------
+
+26/05/2023:
+
+Submitted to slackbuilds.org
diff --git a/office/glow/glow.SlackBuild b/office/glow/glow.SlackBuild
new file mode 100644
index 0000000000..74a53a8525
--- /dev/null
+++ b/office/glow/glow.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/bash
+
+# Slackware build script for glow
+
+# Copyright 2023 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=glow
+VERSION=${VERSION:-1.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+sys_arch=${sys_arch:-$(uname -m)}
+SRCNAM=${SRCNAM:-glow_Linux_}
+
+case "$sys_arch" in
+ i?86)
+ ARCH=i586
+ SRCARCH=i386
+ ;;
+ x86_64)
+ ARCH=x86_64
+ SRCARCH=x86_64
+ ;;
+ *) echo "This slackbuild will only run x86and x86_64 only exiting" && exit 1 ;;
+esac
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SRCARCH="i386"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SRCARCH="i386"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="x86_64"
+ LIBDIRSUFFIX="64"
+else
+ echo "This slackbuild only builds on x86 and x86_64 only" && exit 1
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+
+
+echo "the system arch is $ARCH and the souce file arch is $SRCARCH"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -pv $TMP/$PRGNAM-$VERSION
+tar xvf "$CWD/$SRCNAM$SRCARCH.tar.gz" -C $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -pv $PKG/usr/bin
+mkdir -pv $PKG/usr/share/bash-completion/completions/
+mkdir -pv $PKG/usr/share/fish/vendor_completions.d/
+mkdir -pv $PKG/usr/share/zsh/site-functions/
+
+install -vm0755 glow -t $PKG/usr/bin
+install -Dvm0644 completions/glow.bash -t $PKG/usr/share/bash-completion/completions/glow
+install -Dvm0644 completions/glow.fish -t $PKG/usr/share/fish/vendor_completions.d/glow.fish
+install -Dvm0644 completions/glow.zsh -t $PKG/usr/share/zsh/site-functions/_glow
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/glow/glow.info b/office/glow/glow.info
new file mode 100644
index 0000000000..6463735cfb
--- /dev/null
+++ b/office/glow/glow.info
@@ -0,0 +1,10 @@
+PRGNAM="glow"
+VERSION="1.5.1"
+HOMEPAGE="https://github.com/charmbracelet/glow"
+DOWNLOAD="https://github.com/charmbracelet/glow/releases/download/v1.5.1/glow_Linux_i386.tar.gz"
+MD5SUM="f19014a5c14eca4dd06ec77eb0dd6e39"
+DOWNLOAD_x86_64="https://github.com/charmbracelet/glow/releases/download/v1.5.1/glow_Linux_x86_64.tar.gz"
+MD5SUM_x86_64="59efedeb72857c093d22aaded1a45f5f"
+REQUIRES=""
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/office/glow/slack-desc b/office/glow/slack-desc
new file mode 100644
index 0000000000..fde062b1bd
--- /dev/null
+++ b/office/glow/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+glow: glow (CLI Markdown Reader)
+glow:
+glow: Glow is a terminal based markdown reader designed from
+glow: ground up to bring out the beauty and power of CLI.Glow
+glow: will markdown files from subdirectories or local git repo.
+glow:
+glow:
+glow: homepage:https://github.com/charmbracelet/glow
+glow:
+glow:
+glow: